HttpRequest::addPostFile
HttpRequest::addQueryData
HttpRequest
PHP Manual

# HttpRequest::addPutData

(PECL pecl_http >= 0.25.0)

HttpRequest::addPutData — Add put data

### Description

public bool HttpRequest::addPutData ( string `$put_data` )

Add PUT data, leaving previously set PUT data unchanged.

Affects only PUT requests.

### Parameters

`put_data`

  the data to concatenate

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::addPostFile
HttpRequest::addQueryData
HttpRequest
PHP Manual